@import url('https://fonts.googleapis.com/css2?family=EB+Garamond:ital,wght@0,400;0,600;0,700;1,400&family=Roboto:wght@400;700&display=swap');

html, body{
  height: 100vh;
  font-family:  'EB Garamond', serif, Georgia, 'Times New Roman', serif;
  color: #ffffff;
  background-color: #0e2a47;
  scroll-behavior:smooth;
}

.Titlebanner{
  display: block;
  width: 50%;
  margin-left: auto;
  margin-right: auto;
  text-align: center;
  border-color: #48ffd5;
  border-radius: 1em;
  font-family: Georgia, serif;
	font-variant: small-caps; text-transform: none; font-weight: 100; margin-bottom: 0;
}

.TitleLink{
  color: #ffffff;
  font-weight: 700;
  font-size: 2em;
  text-decoration: none;
  border-bottom: 2px solid #48ffd5;
  }

/* --------------------------Nav--------------------*/
.ul-nav{
  display: flex;
  flex-direction: row;
  justify-content: center;
  list-style: none;
  padding: 0;
}

.li-nav {
  list-style: none;
  margin: 2em;
  padding: 1em;
  border-radius: 1em;
  border: 2px solid #48ffd5;
  -webkit-transform: scale(1.2);
  transform: scale(1.2);
  -webkit-transition: .3s ease-in-out;
  transition: .3s ease-in-out;
}

.li-nav:hover{
  -webkit-transform: scale(1.6);
  transform: scale(1.6);
}

.page{
  display: flex;
  flex-direction: row;
  position: relative;
  }

.MenuLink{
  color: white;
  font-weight: 700;
  text-decoration: none;
  font-size: 1.5em;
}

.ActivePage{
  box-shadow: 0px 10px 14px -7px #48ffd5;
  background: #00d4a4;
	background-color:#00d4a4;
	display:inline-block;
	cursor:pointer;
	text-decoration:none;
}



.outline,
.ranking {
    width: 15%;
    margin-left: 2em;
    padding-right: 0.2em;
    border:2px solid #48ffd5;
    border-radius: 1em;
    color: white;
    justify-content: space-around;
    position: -webkit-sticky;
    position: sticky;
    top: 0.5em;
    overflow: auto;
    height: 100%;
}

.ol-menu,
.ul-menu{
  padding: auto;
  display: flex;
  padding-left: 2em;
  flex-direction: column;
  font-size: 1.3em;
}

.ul-menu{
  list-style: none;
  font-size: 1.5em;
}

.li-analysis{
  margin-bottom: 0.5em;
}

.li-result{
  margin-bottom: 0.5em;
  margin-top: 0.5em;
}

/*----------------------------Body page--------------------------------*/
.Analysis{
  margin-left: 2em;
  width: 80%;
  justify-content: flex-end;
  text-align: justify;
  font-size: 1.20em;
}

.Results{
  display: flex;
  flex-direction: column;
  width: 80%;
  margin-left: 2em;
  font-size: 1.3em;
  justify-content:
}

.AboutUs{
  display: flex;
  flex-direction: column;
  width: 70%;
  margin-top: 5em;
  margin-left: 29%;
  font-size: 1.3em;
  justify-content: center;
}

.Explanation{
  text-align: justify;
  font-size: 1.3em;
  padding: 1em;
}


.ol-main > ol{
  padding-left: 0;
}

h2, h3, h4{
  width: 60%;
}

h2{
  display: inline-block;
  font-family: 'EB Garamond', serif;
  font-size: 2.2em;
  text-transform: uppercase;
  text-align: left;
  color: #e5e0d9;
  margin-top: 0.3em;
  margin-bottom: 0.3em;
  text-decoration: underline;
  text-decoration-color: #48ffd5;
  text-underline-offset: 0.2em;
}

h3{
  display: inline-block;
  font-family: 'EB Garamond', serif;
  text-transform: uppercase;
  font-size: 1.7em;
  font-weight: normal;
  color: #e5e0d9;
  margin: auto;
  margin-top: 0.3em;
  margin-bottom: 0.3em;
  text-decoration: underline;
  text-decoration-color: #48ffd5;
  text-underline-offset: 0.2em;
}

h4{
  display: inline-block;
  font-family: 'EB Garamond', serif;
  text-transform: uppercase;
  font-size: 1.5em;
  font-weight: lighter;
  font-style: italic;
  color: #e5e0d9;
  margin-top: 0.2em;
  margin-bottom: 0.2em;
  text-decoration: underline;
  text-decoration-style: dashed;
  text-decoration-color: #48ffd5;
  text-underline-offset: 0.2em;
}

p{
  text-indent: 5%;
  font-family:  'EB Garamond', serif;
  width: 60%;
  font-size: 1.3em;
}

.csl-bib-body{
  line-height: 1.35;
  margin-left: 2em;
  text-indent:-2em;
  width: 60%;
  padding-top: 1em;
  font-size: 1.2em;
}
/*-----------------------images---------------------*/
.image{
  display: flex ;
  flex-direction: row;
  justify-content: center;
}

figure{
  margin: auto;
}

.image-img{
  border-radius: 1em;
  max-width: 22em;
  max-height: 15em;
  box-shadow: 5.4px 10.7px 10.7px hsl(0deg 0% 0% / 0.33);
}

figcaption{
  text-align: center;
}




/*-------------------Links Results---------------------*/
.link-ranking {
    box-sizing: border-box;
    position: relative;
    padding: 8px;
    color: #ffffff;
    text-decoration: none;
    }

.link-ranking::before, .link-ranking::after {
    content: '';
    box-sizing: border-box;
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    transform-origin: center;
    }

.link-ranking::before {
    border-top: 0.15em solid #48ffd5;
    border-bottom: 0.15em solid #48ffd5;
    border-radius: 0.3em;
    transform: scale3d(0, 1, 1);
    }
.link-ranking::after {
    border-left: 0.15em solid #48ffd5;
    border-right: 0.15em solid #48ffd5;
    border-radius: 0.3em;
    transform: scale3d(1, 0, 1);
    }
.link-ranking:hover::before, .link-ranking:hover::after {
    transform: scale3d(1, 1, 1);
    transition: transform 700ms;
    }

.link-ranking-active{
  box-sizing: border-box;
  position:relative;
  padding: px;
  height: 100%;
  width: 100%;
  border-radius: 0.3em;
  border: 0.15em solid #48ffd5;
}

@media screen and (max-width: 1454px) {
  .link-ranking {
      position: relative;
      padding: 0.3em;
      color: #ffffff;
      text-decoration: none;
      padding-bottom: 2px;
      transition: all 0.35s linear;
      background: linear-gradient(to bottom, #48ffd5 0%, #48ffd5   98%);
      background-size: 0px 2px;
      background-repeat: no-repeat;
      background-position: left 100%;
      }

  .link-ranking::before, .link-ranking::after {
      content: '';
      position: absolute;
      bottom: 0;
      right: 0;
      width: 0;
      height: 2px;
      background-color: #48ffd5;
      transition: width .0.7s cubic-bezier(0.25, 1, 0.5, 1);
      }


  .link-ranking:hover::before,
  .link-ranking:hover::after {
      background-size: 100% 2px;
      left: 0;
      right: auto;
      }

  .link-ranking-active{
    text-decoration: none;
    color: #48ffd5;
    position: relative;
    cursor: pointer;
    text-decoration: none;
    display: inline;
    padding-bottom: 2px;
    transition: all 0.35s linear;
    background: linear-gradient(to bottom, #48ffd5 0%, #48ffd5   98%);
    background-size: 0px 2px;
    background-repeat: no-repeat;
    background-position: left 100%;
  }

}

/* --------------------------- */


/* ------------------ Links Analysis ---------------------*/

.link-outline{
  position: relative;
  padding: 0.3em;
  color: #ffffff;
  text-decoration: none;
  padding-bottom: 2px;
	transition: all 0.35s linear;
	background: linear-gradient(to bottom, #48ffd5 0%, #48ffd5   98%);
	background-size: 0px 2px;
	background-repeat: no-repeat;
	background-position: left 100%;
}

.link{
  text-decoration: none;
  color: #48ffd5;
  position: relative;
	cursor: pointer;
	text-decoration: none;
	display: inline;
	padding-bottom: 2px;
	transition: all 0.35s linear;
	background: linear-gradient(to bottom, #48ffd5 0%, #48ffd5   98%);
	background-size: 0px 2px;
	background-repeat: no-repeat;
	background-position: left 100%;
}
.link::before,
.link-outline::before{
  content: '';
  position: absolute;
  bottom: 0;
  right: 0;
  width: 0;
  height: 2px;
  background-color: #48ffd5;
  transition: width .0.7s cubic-bezier(0.25, 1, 0.5, 1);
}

.link:hover,
.link-outline:hover {
	 background-size: 100% 2px;
   left: 0;
   right: auto;
}

/*-----------------Table-------------------------*/

table {
	 width: 50vw;
	 border-collapse: collapse;
	 overflow: hidden;
	 box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
   font-family: sans-serif;
   margin-left: 5.5em;
}
 th, td {
   text-align: left;
   vertical-align: top;
	 padding: 15px;
	 background-color: rgba(255, 255, 255, 0.02);
	 color: #fff;
}

.td{
  font-weight: bold;
  vertical-align: middle;
  text-align: center;
}
 th {
	 text-align: center;
   position: -webkit-sticky;
   position: sticky;
   top: 0;
}
 thead th {
	 background-color: #55608f;
}
 tbody tr:hover {
	 background-color: rgba(255, 255, 255, 0.1);
}
// row
td:hover::before {
    background-color: rgba(255, 255, 255, 0.2);
    content: '';
    height: 100%;
    left: -5000px;
    position: absolute;
    top: 0;
    width: 10000px;
    z-index: -2;
}

//Column
td:hover::after {
    background-color: rgba(255, 255, 255, 0.2);
    content: '';
    height: 10000px;
    left: 0;
    position: absolute;
    top: -5000px;
    width: 100%;
    z-index: -1;
}

.image-table{
  max-width: 3em;
}

/*---------------------------------------*/


footer a{
  display: block;
  width: 30%;
  margin-left: auto;
  margin-right: auto;
  padding-top: 0.8em;
  text-align: center;
  color: white;
}
